// u3a3_versandhaus.cpp 
//
// Autor: C. Niederberger, ETH Zurich, 2002
//

#include <iostream>
using namespace std;

// diese Funktion gibt zu einer Produktnummer 'produkt' den Preis zurck
float getPrice(int produkt)
{
  // das switch statement findet den richtigen Preis
  switch (produkt)
    {
    case 1 : return 1.90; break;
    case 2 : return 4.50; break;
    case 3 : return 9.95; break;
    case 4 : return 15.5; break;
    case 5 : return 27.3; break;
    default : cout << "Fehler: ungueltige Produktnummer eingegeben" << endl; 
      return 0.0; break;
    }
  // wird nie erreicht... 
  return 0.0;
}

// diese Funkion frgt den Benutzer nach der Bestellmenge fr die 
// Produktnummer 'produkt'
int getCount(int produkt)
{
  // Ausgabe
  cout << "Bestellmenge Produkt " << produkt << "? " ;
  int count = 0;
  // Eingabe
  cin >> count;
  // Test fr negative Zahlen
  if (count>0) return count;

  // Im Falle einer falschen Eingabe.
  return 0;
}

// das Hauptprogramm
int main()
{
  // initialisierung der Variablen
  float kosten = 0;
	
  // Aufruf fr alle 5 Produkte und 
  // gleichzeitiges Aufsummieren von (count*price) der Zwischensumme in der 
  // Variable 'kosten'
  kosten = getCount(1)*getPrice(1);
  kosten += getCount(2)*getPrice(2);
  kosten += getCount(3)*getPrice(3);
  kosten += getCount(4)*getPrice(4);
  kosten += getCount(5)*getPrice(5);

  // Ausgabe der Summe
  cout << "Der Kunde muss " << kosten << " CHF bezahlen" << endl;

  cout << "Nun nochmals dasselbe nun mit einer for Schleife" << endl;
	
  kosten = 0;
  // die Schleifenvariable
  int aktuellesProdukt;

  // die Schleife
  for (aktuellesProdukt=1; aktuellesProdukt<=5; aktuellesProdukt++)
    {
      kosten += getCount(aktuellesProdukt)*getPrice(aktuellesProdukt);
    }
  cout << "Der Kunde muss " << kosten << " CHF bezahlen" << endl;

  return 0;    
}

